[riot-notifications] [RIOT-OS/RIOT] dist/tools/goodfet: Update goodfet flasher to python3 (#15877)

MrKevinWeiss notifications at github.com
Thu Jan 28 11:08:58 CET 2021



### Contribution description

Since python2 is now obsolete we should update the scripts in RIOT to python3.
After a quick search I couldn't find and easy replacement so I did the following:

Apply `2to3` for scripted python 2 to 3 update.
Fix encoding and decoding of serial write and read.
Fix `chr` and `ord` to `to_bytes` and `bytearray`.
### Testing procedure

Flash boards that use the `goodfet` flasher.

I only tested on the `z1` board.

### Issues/PRs references


You can view, comment on, or merge this pull request online at:

  https://github.com/RIOT-OS/RIOT/pull/15877

-- Commit Summary --

  * dist/tools/goodfet: Update goodfet flasher to python3

-- File Changes --

    M dist/tools/goodfet/goodfet.bsl (138)

-- Patch Links --

https://github.com/RIOT-OS/RIOT/pull/15877.patch
https://github.com/RIOT-OS/RIOT/pull/15877.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/15877
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20210128/bac0992d/attachment.htm>


More information about the notifications mailing list